PDA

View Full Version : Missing pantograph - Railwaves Class 357



pfx
February 8th, 2012, 11:19 AM
Hi folks. I'm not entirely sure where to put this as it falls under 2 or 3 areas so I thought it would be most likely seen here.

I have the Railwaves Class 357/377s which worked fine in TS2010. I've gradually been bringing all my Railwaves stock (except the 47s) across to TS12. This has presented me with a range of errors, all of which I've been able to fix so far. The one that has stumped me is the pantograph from the PTSOs.

The carriage I can get into TS12 no problem but it is missing the pantograph which gives me the following error when I look at warnings.

Warning: This asset uses an obsolete trainz-build number. Trainz-build numbers below 2.7 are no longer supported.
Warning: Required container 'mesh-table' is missing.
Warning: Required container 'thumbnails' is missing.

The build number is simple to rectify, it's the further two warnings that cause an issue. I can clear the thumbnails one simplly by adding

thumbnails
{
}

to the config but the mesh table seems to be the issue. As far as I can tell, I get the lower half of the pantograph assembly on the PTSO roof but the upper section is missing.

I've tried replacing the pantograph with a few others on the DLS and get a variation of the same error, the lower section displays but at track level and the original pantograph lower section also displays. The only one that has come close is that used on the class 91 by Peter Hicks, which appears half way along the PTSO roof but which won't operate.

If anyone has the 357/377 and has corrected the error for TS12, I'd be grateful to hear from you, or even if you know how to clear the error without having the asset in question.

Thanks,
PFX

shaneturner12
February 8th, 2012, 11:27 AM
I'm guessing that N3V have made things even more stringent in TS12, as my Class 377s work fine in TS2009 SP4 native mode.

Can I check the config file for one of the affected assets? (Probably the 377 is best, although I do have the whole pack installed on mine)

You can PM it to me if you do not want to post it here.

Shane

pfx
February 9th, 2012, 04:34 AM
Shane, I'll get it to you as soon as I can. I've now been afflicted with a rather nasty trojan which seems intent on destroying my PC. All down to my AV software failing.

shaneturner12
February 9th, 2012, 04:37 AM
Not a good sign - I've seen quite a few instances of nasty trojans myself.

Do you have my email address? I can PM it to you if not.

Shane

Deano5
February 9th, 2012, 04:45 PM
Shane, do you have all the Railwaves stock working? Fixed/corrected config files?

shaneturner12
February 9th, 2012, 04:48 PM
The stock I do own (Great Western Variety Pack, UK Signalling Pack, Turbostar (+updates), Voyager (normal/Super), and Electrostar I have working in TS2009 SP4 native mode.

Shane

EDIT: I have discovered an issue that cannot be corrected - a missing animation handler for Wiper-Stop.

shaneturner12
February 9th, 2012, 05:09 PM
Hi pfx,

I have received your email OK. Comparing it against mine, I can see where the problem is.

I notice you are using the Class 91 pantograph. I've left mine as Class 357 pantograph. If you do want to keep the reference for the class 91 pantograph, you need to replace the Class 357 pantograph reference (<kuid:164566:57002>) in the kuid-table with your Class 91 reference, otherwise simply change your Class 91 reference back to the KUID I've just stated.

Shane

pfx
February 10th, 2012, 04:33 AM
Hi Shane. My mistake. I had been messing about with alternative pantographs and forgot to revert back to the original one. I get an error with both. I've 'dealt' with the trojan/malware issue I had now and will do that tonight and send you the config again with the 357 panto.

I've opened it in the working TS2010 version to compare and can see no difference in the two. What I'll do, if you don't mind, is send you both to compare in case I've missed something obvious.

@ Deano5 - I've actually managed to get the Class 170, HST and 47s working in TS2012 error free (with the exception of the inherited lighting script error Railwaves never corrected). As you'll have guessed, I also have the Class 357/377 in there, the only error being again, the lighting script and this panto issue. Most of the errors are fairly easy to resolve.

shaneturner12
February 10th, 2012, 04:41 AM
Hi pfx,

When you do send me the configs, can you also send me an image of what is happening, so I can check mine?

Shane

Deano5
February 10th, 2012, 02:28 PM
Hi guys, any chance you could share those working config files with me please. The ones that do work ok are the HST sets, plus I'm sure the 47 and 56 work fine. Just the EMU's, Turbostar's and Voyager that don't.

shaneturner12
February 10th, 2012, 02:38 PM
Hi again Deano5,

Which variants of the trains in question do you require? Once my Content Manager sorts itself out, I can sort out some config files. Be aware though that the changes to the lights on the trains is in the script files as well.

Shane